import { OrderEntity } from '../entities/order.entity';

/**
 * Order Repository Interface
 */
export interface IOrderRepository {
  save(order: OrderEntity): Promise<OrderEntity>;
  findById(id: string): Promise<OrderEntity | null>;
  findByUserId(userId: string): Promise<OrderEntity[]>;
  update(order: OrderEntity): Promise<OrderEntity>;
}

export const ORDER_REPOSITORY = Symbol('IOrderRepository');
